## Spoje-NET-PohodaSQL.zip

=== Makefile ===
# vim: set tabstop=8 softtabstop=8 noexpandtab:
.PHONY: help
help: ## Displays this list of targets with descriptions
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[32m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: static-code-analysis
static-code-analysis: vendor ## Runs a static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyse --configuration=phpstan-default.neon.dist --memory-limit=-1

.PHONY: static-code-analysis-baseline
static-code-analysis-baseline: check-symfony vendor ## Generates a baseline for static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyze --configuration=phpstan-default.neon.dist --generate-baseline=phpstan-default-baseline.neon --memory-limit=-1

.PHONY: tests
tests: vendor
	vendor/bin/phpunit tests

.PHONY: vendor
vendor: composer.json composer.lock ## Installs composer dependencies
	composer install

.PHONY: cs
cs: ## Update Coding Standards
	vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php --diff --verbose

phar:
	phar-composer build .

buildimage:
	docker build -f Containerfile -t spojenet/fiobank-statement-downloader:latest .

buildx:
	docker buildx build -f Containerfile . --push --platform linux/arm/v7,linux/arm64/v8,linux/amd64 --tag spojenet/fiobank-statement-downloader:latest

drun:
	docker run --env-file .env spojenet/fiobank-statement-downloader:latest

=== debian/changelog ===
php-spojenet-pohoda-sql (0.2.0) UNRELEASED; urgency=low

  * Initial release. Closes: #nnnn

 -- Vítězslav Dvořák <info@vitexsoftware.cz>  Fri, 08 Dec 2023 15:02:05 +0100

=== debian/control ===
Source: php-spojenet-pohoda-sql
Section: unknown
Priority: optional
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/Spoje-NET/PohodaSQL
Rules-Requires-Root: no
#Vcs-Git: https://github.com/Spoje-NET/PohodaSQL.git
#Vcs-Browser: https://github.com/Spoje-NET/PohodaSQL

Package: php-spojenet-pohoda-sql
Architecture: any
Multi-Arch: foreign
Depends: php-vitexsoftware-ease-fluentpdo, composer
Suggests: php-sql-server, php-vitexsoftware-pohoda-connector
Description: PHP Library for Pohoda SQL Tables access
 Set Of Classes for Pohoda SQL

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	jq '.version = "'`dpkg-parsechangelog | sed -n 's/^Version: //p'| sed 's/~.*//' `'"'  debian/composer.json |sponge debian/composer.json
	dh_install
